# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class Cutscene
  attr_accessor :width, :height, :map, :x, :y

  def movement_char
    "A"
  end

  def width_height
    [60, 60]
  end

  def mid_point
    [29, 29]
  end

  def init_map
    @map = { }

    w = 0
    h = 0

    layout.each do |row|
      row.each_char do |column|
        if(column == movement_char)
          @x = w
          @y = h
          @map[[w,h]] = " "
        else
          @map[[w,h]] = column
        end
        w += 1
      end
      @width = w
      w = 0
      h += 1
    end

    @height = h

    if @width > 44
      puts "* WARNING: #{self.class.name} has more than 44 columns #{@width}!"
    end

    if @height > 22
      puts "* WARNING: #{self.class.name} has more than 22 rows #{@height}!"
    end
  end

  def move direction, value
    destination_x = @x
    destination_y = @y

    destination_x = @x + value if direction == :x
    destination_y = @y + value if direction == :y

    return if(is_wall? destination_x, destination_y)

    @x = destination_x
    @y = destination_y
  end

  def walls
    @walls ||= %w(. , - _ | , ` \ / : + ~)
  end

  def is_wall? x, y
    walls.include? map[[x,y]]
  end

  def move_up
    move :y, -1
  end

  def move_down
    move :y, 1
  end

  def move_left
    move :x, -1
  end

  def move_right
    move :x, 1
  end

  def current_message
    landmarks[map[[x,y]]]
  end

  def has_message?
    current_message
  end
end
