# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class BuilderCutscene < Cutscene
  def width_height
    [60, 27]
  end

  def mid_point
    [29, 29]
  end

  def movement_char
    "&"
  end

  def landmarks
    @landmarks ||= {
      "1" => {
        char: "?",
        title: "a dusty path",
        accessibility: "look behind",
        message: "a path leading out of the forest. the executioner falls towards the planet. the rebellion's reached the outer realms. hope.",
        focal_point: [
          "        :..::..    ......  ",
          "   . . ../+.. .     ...    ",
          "  . +++. ++/../      .     ",
          " .++**+* :.:/-:            ",
          "  +* ~ */+..-.             ",
          "   +* *+:+-. .             ",
          "    +*+ ../.  .            ",
          "...    .,                  ",
          "     ..                    ",
        ]
      },
      "2" => {
        char: "?",
        title: "a forest",
        accessibility: "towards a clearing",
        message: "a clearing in the forest, branches for kindling strewn about. a cold wind whips through, makes the trees shudder. screams of the admiral ring out from the distance.",
        focal_point: [
          "  .,                  ",
          "..                    ",
          "..             t   t  ",
          "..    t  t          -.",
          "..                .t-.",
          " ..---..     t   t--.",
          "      .|...,     -.t-.",
          "           ,,  .t-..-.",
        ]
      },
      "3" => {
        char: "~",
        title: "a fire",
        accessibility: "towards the warmth",
        message: "a fire trying desperately to survive. small flames dance violently in the starlight. the locket fuels the flames. dancing lights heal laser wounds, still fresh.",
        focal_point: [
          "...       ",
          ".         ",
          "          ",
          "     ~    ",
          " .______..",
        ]
      },
      "4" => {
        char: "@",
        title: "a wanderer",
        accessibility: "look at body",
        message: "vison blurry, the wanderer struggles to get up. can't fight the exhaustion. have to rest. perhaps things will be different. perhaps history won't repeat itself.",
        focal_point: [
          "   t        ,------.",
          "           .        ",
          "           . @      ",
          "      t    .        ",
          "           ....____.",
          "            .     , ",
        ]
      }
    }
  end

  def title
    "flashback: a dark room"
  end

  def layout
    [
      "                         . +++. ++/../      ",
      "                        .++**+* :.:/-:      ",
      "   t              t      +* ~ */+..-.       ",
      "         t                +* *+:+-. .       ",
      "                           +*+ ../.  .      ",
      "                       ...    .,            ",
      " t                 t        ..              ",
      "     t             ...........             t",
      "               t  .      1 ...    t  t      ",
      "          ... .  .          ..              ",
      "  ,------.     ...           ..---..     t  ",
      " .             .       &          .|...,    ",
      " . 4                                   ,,  .",
      " .                  3                2   ,/-",
      " ....____.      .______..     .___.      ,  ",
      "  .     ,       :       ..   ./ . .,-..-..-/",
      "        .      :.         .   ,: .-..t-.  t ",
      "  t    .     :,/.          | ,/ ...--.     .",
      " ...-....--:,/..           ../. ..t--..-/+/-",
      " -:-t. ...-.....                 ,       t, ",
      " t-      -.t..               t , . -. ',   t",
    ]
  end
end
