# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class DestructionCutscene < Cutscene
  def width_height
    [60, 41]
  end

  def mid_point
    [29, 26]
  end

  def landmarks
    @landmarks ||= {
      "1" => {
        char: "?",
        title: "annihilation",
        accessibility_action: "look up above",
        message: "the executioner's weapon fires up. a shock wave rips through the world, pushing it outwards. away from the mother star, eternal darkness drapes the landscape.",
        focal_point: [
          '  =  = ====== =      ',
          ' === ., ===   ===.   ',
          '===== .. =     = ==..',
          '======,. :.:. ,  ====',
          '====== . .   =  ,== =',
          '===,= . +++ . =.    =',
          '     .++**+++.    ===',
          '  === +* ~ *+ -======',
          '=====. +* *+ , .  ===',
          '======  +*+   .,    =',
          ' ===...    .,   .  = ',
        ]
      },
      "2" => {
        char: "?",
        title: "final stand",
        accessibility_action: "look across battle field",
        message: "wanderers, surrounded by soldiers and defectors. cries of frustration ring out as they're sniped down, robbed of their birthright. the conquest failed, but vengeance will be dealt.",
        focal_point: [
          '    S   S          &,    :',
          '  S    S  S   S S   S -.  ',
          '  &  &     &  S   S  & ./.',
          '   &  &   & S &  S &      ',
          ' &   &  S &   @     & S   ',
          ' @ &  &     & &  @   @ &  ',
          '    & S   &   @ @  &  & S ',
        ]
      },
      "3" => {
        char: "?",
        title: "prison",
        accessibility_action: "look across skyline",
        message: "destruction order's been given. explosives on the moons detonate. shards of rock darken the sky, scarring the landscape as they come crashing down. no one will escape.",
        focal_point: [
          '==== = .  .:. .:        . ..',
          '==   ===.     ...    ...**..',
          '=     = ==..       .:/::**..',
          ':.:. ,  ====   .:  :+*+::++-',
          '.   =  ,== =.  ./  +-*+:+*..',
          '++ . =.    =    :   .//*:*..',
          '*+++.    ===    :     ..  ..',
          '~ *+ -====== .:....-....  /.',
          ' *+ , .  ===  -:.-++:+++ /..',
          '*+   .,    =   /  .. ./. .--',
        ]
      }
    }
  end

  def title
    "flashback: destruction,\nlocation: world's horizon"
  end

  def layout
    [
      '=== .. =     = ==..       .:/::**...     +.',
      '====,. :.:. ,  ====   .:  :+*+::++---    ..',
      '==== . .   =  ,== =.  ./  +-*+:+*..    ..,.',
      '=,= . +++ . =.    =    :   .//*:*....-...,,',
      '   .++**+++.    ===    :     ..  ...+//.,..',
      '=== +* ~ *+ -====== .:....-....  /..-. ....',
      '===. +* *+ , .  ===  -:.-++:+++ /..+       ',
      '====  +*+   .,    =   /  .. ./. .--. .-    ',
      '==...    .,   .  =        .+::=:.    .     ',
      '=/ 1 .,. . =  ====       .:++/.- .     .  .',
      '/,     , =======       ..-.:-.:+...        ',
      '/,      , ====       --. /++- -++..   ...-.',
      '/,      ,  ..-.      -: ./::. ::,:.:. ..-..',
      '/,      .  +..:      ..... ..--./..:. ../ .',
      '/,       .. .:...             ..-+.....,..-',
      '/|         ..,..  ...     ..,.    S   S    ',
      '/|        3   .     .  -./      S    S  S  ',
      '/|            .       ./   S  S &  &     & ',
      '/.            .-..,,.//, S &     &  &   & S',
      '/.                  .//,       &   &  S &  ',
      '/.            A   2  //, &  @  @ &  &     &',
      '/ ..--._-...,.,_.___//,    @  @   & S   &  ',
    ]
  end
end
