# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class DrillsCutscene < Cutscene
  def width_height
    [60, 24]
  end

  def mid_point
    [29, 46]
  end

  def movement_char
    "h"
  end

  def landmarks
    @landmarks ||= {
      "1" => {
        char: "?",
        title: "beginning of the end",
        accessibility_action: "observe drill",
        message: "the drill spins, hums its tribute to occultist sorcery. it eagerly waits to split the planet, to carve out its metallic flesh.",
        focal_point: [
          "                ::-``.:::",
          "                /-::-/` `",
          "       ./ `,//.:.::-:``.`",
          "..,`// / /   /::::.:.:/` ",
          "  `-//  ``  :::.:/- .:/ `",
          "     `:::/ .::-. :.:://` ",
          "        -..:     ` `:::,`",
          "           -   *``-::::``",
          "             :` `*  */.* ",
        ]
      },
      "2" => {
        char: "?",
        title: "builder",
        accessibility_action: "observe builder",
        message: "she's the strongest of them. cadences of light flow through her, weaving every aspect of the drill. she looks over with piercing eyes.",
        focal_point: [
          ":` `*  */.* `*  ` ",
          "* **:*-|:*.*/::*/-",
          "  **`**=**`**`* /:",
          " * *=*` `****= *  ",
          ".``*:= @ =*:-*    ",
          "  `,.    ,_---_   ",
          "     ```` ` ,,`,.,",
        ]
      },
      "3" => {
        char: "?",
        title: "slaves",
        accessibility_action: "observe wanderers",
        message: "rusting derelicts landed shortly after first contact. droves of chained wanderers gather resources. the admiral silently watches the progress.",
        focal_point: [
          "* /:::. * *    *  *`*``-`-++:",
          " *     * .. ` *  @   `*-* :-.",
          "       *  @  *  * * * @  *   ",
          "_     @~@   * *       * *    ",
          "`,.,.`-/ `@ `  ,.,,``.       ",
          ".`,...`.,, `@             `,,",
          "     `,      `@~@~@~@        ",
          "      .,  A          `@      ",
        ]
      }
    }
  end

  def title
    "flashback: the drills,\nlocation: first boreholes"
  end

  def layout
    [
      "                                           ``  ``           ",
      "                         `..```   .`   :-`//+:-.`        `` ",
      "     ,,       `   ``   .-..```` :   :::/:::::::::::::+      ",
      "                  ::-``.:::`   .- /::::----::::::::::+:.    ",
      "                  /-::-/` `-   ::+-:::`     ```--:::-:.//   ",
      "         ./ `,//.:.::-:``.``.   `.-:+:/. `````.``````.:/`   ",
      "  ..,`// / /   /::::.:.:/`       -:::++/:-`//+:-.`          ",
      "    `-//  ``  :::.:/- .:/ `` -::/.-/+::+/:::::::::::::+     ",
      "     * `:::/ .::-. :.:://`  `-:::   ` `.----::::::::::+:.   ",
      "       *  -..:     ` `:::,`  ::-             ```--:::-:.//- ",
      "    * @ *    -   *``-::::`` ::       `.:. `````.``````.:/`  ",
      "     * *  * *  :` `*  */.* `*  `     -:../-:::::-`:-.`      ",
      " ..     * @  * * **:*-|:*.*/::*/-..           .::. .`+-``   ",
      ",  `.-:  *  * *  **`**=**`**`* /:::. * *    *  *`*``-`-++:  ",
      ":      :.` `    * *=*` `****= *     * .. ` *  @   `*-* :-.  ",
      ":    1  ``:,-``.``*:= @ =*:-*       *  @  *  * * * @  *     ",
      ":         ` `    `,.    ,_---_     @~@   * *       * *      ",
      ":                   ```` ` ,,`,.,.`-/ `@ `  ,.,,``.         ",
      "`                     2      .`,...`.,, `@             `,,``",
      "`    h                            `,      `@~@~@~@          ",
      ",                               3  .,  A          `@        ",
      ".----------------------------------.,                       ",
    ]
  end
end
