# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class FirstContactCutscene < Cutscene
  def width_height
    [60, 25]
  end

  def mid_point
    [29, 52]
  end

  def movement_char
    "h"
  end

  def landmarks
    @landmarks ||= {
      "1" => {
        char: "?",
        title: "no quarter",
        accessibility_action: "observe humans",
        message: "they weren't even given a chance to speak. lifeless bodies of the ambassadors smolder from laser fire. the admiral smirks as the troops celebrate.",
        focal_point: [
          "                .",
          "    .-.::-...,:. ",
          " ...      @  @   ",
          ".  S    A   @ @  ",
          ". S  S   @ @    .",
          ".  S         @:-.",
        ]
      },
      "2" => {
        char: "?",
        title: "rain",
        accessibility_action: "observe sky",
        message: "countless wanderer vessels fall from the sky. tails of fire as they break the atmosphere. the roar of their engines, like snarling beasts.",
        focal_point: [
          ".,/      ..      .,  .",
          ".,/#,/.   . /#    .: .",
          "#..,, ,#  .#   .   -- ",
          "   .   ,     #. ..... ",
          "   ./.. /     ./  .:.#",
          "     . .. . .# .  .:-/",
          "...     .#..       .. ",
          "   -.--.     .::.#    ",
          ".    ::        ..#    ",
        ]
      },
      "3" => {
        char: "?",
        title: "eclipse",
        accessibility_action: "observe eclipse",
        message: "a massive weapon shrouds the mother star. it shakes, drawing solar flairs into its core. the pull of its gravity felt even from this distance.",
        focal_point: [
          "    +++        #.-.#",
          "  +++++++    .  ...-",
          "  ++ ~ ++         # ",
          "   ++ ++          ..",
          "    +++     .       ",
          ":-..   .    .     . ",
        ]
      }
    }
  end

  def title
    "flashback: first contact,\nlocation: ground zero"
  end

  def layout
    [
      " .          .                                ",
      "              .  .  .   .       .  .     .   ",
      "    . .   .    .,/      ..  .,  .,  .,.      ",
      " .         .   .,/#,/.   .   .: .-  -/-#     ",
      "            .  #..,, ,#  ..   -- #.   #     .",
      "    . .           .   ,    .....          .  ",
      "        .         ./.. /  /  .:.#            ",
      " .        .         . .. ..  .:-//-.         ",
      "    +++        ...     .#.    .. #..-. :.    ",
      "  +++++++    /-   -.--.   :.#        . #.#   ",
      "  ++ ~ ++    --.    ::    ..#                ",
      "   ++ ++     ......  ,.-..#      .-.::-...,:.",
      "    +++     .#.# ..-..  ..    ...      @  @  ",
      ":-..   .    ...#        .,   .  S    A   @ @ ",
      ":.....,,     #.     .    .  .. S  S   @ @    ",
      ":,. 3  ,,.. .   -,...---_ .. .  S         @:-",
      ":        ..:, ..    2   ..,.,.,..-.... .. ,.,",
      ".            .                      1 ..,,  .",
      ".                               h           .",
      ",                                           .",
      ".--------------------------------------------",
    ]
  end
end
