# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class MassacreCutscene < Cutscene
  def width_height
    [60, 24]
  end

  def mid_point
    [29, 44]
  end

  def movement_char
    "h"
  end

  def landmarks
    @landmarks ||= {
      "1" => {
        char: "?",
        title: "genocide",
        accessibility_action: "observe town square",
        message: "bodies of settlers, man, woman, and child litter the town square. fountain runs red. smell of burnt flesh fills the air.",
        focal_point: [
          "::-.........````./+=````++..-````",
          ".-.-.-..`.+::    s   S S    +. ``",
          "````.`-`::: SS s s  s s  S  -````",
          "``S  S  S s S      s    S  s   S ",
          "S   S  S S   S s:/:+:. ` S  S s  ",
          "   S S  s  `+==+=+=+++=+=+` s    ",
          " SS s  S  s =+++=+=++=++==+   S S",
          "  S   S  S  s s`.:==++=+/-   s   ",
          "..``//` S S      S   s   s s  S S",
          "_:-:::/`.  .````   S    s      S ",
        ]
      },
      "2" => {
        char: "?",
        title: "a roaring fire",
        accessibility_action: "observe bonfire",
        message: "they sit, weapons at their side. a bonfire crackles as it's stoked. they feast on freshly cured meat.",
        focal_point: [
          "            `.`.`-`..``//`",
          "          @   `:``._:-:::/",
          "             @   .`.--/../",
          "        @ ,~`     ::::::/,",
          "         .~~~. A :::`:,   ",
          "          `~,    //.:     ",
          "         @   @ /./.`      ",
          "        ` . - / //,:      ",
        ]
      },
      "3" => {
        char: "?",
        title: "sad eyes",
        accessibility_action: "observe builder",
        message: "she looks upon the massacre mournfully. sees the lifeless mother slumped over a child still breathing. her locket glows.",
        focal_point: [
          "      :=+=//:::=:=::=+/.",
          "      ::+  `.`          ",
          "       :/               ",
          "      .+/`  @           ",
          "    `.+=/`              ",
          "   `.:+./`              ",
          "   `./=+//              ",
          "---------:              ",
        ]
      }
    }
  end

  def title
    "flashback: the massacre,\nlocation: town square"
  end

  def layout
    [
      " `` s S  S                 .../=+                        ``  ",
      " `` s   S  S    `` `.`  ``..../=+/::/=/``  ::          ` ``  ",
      " s   S  S `::-.........````./+=````++..-````   /.       ``   ",
      "`  S  S  ``.-.-.-..`.+::    s   S S    +. ``//           `   ",
      "    s .::.-````.`-`::: SS s s  s s  S  -````//``.+           ",
      " S.-----/.```S  S  S s S      s    S  s   S =/:-`+::         ",
      " ..--.-.   S   S  S S   S s:/:+:. ` S  S s   ::+/+::/.`      ",
      ",,:.`````.    S S  s  `+==+=+=+++=+=+` s    s   s  .:**++-`  ",
      " -`  ````.  SS s  S  s =+++=+=++=++==+   S S  s    S ++--++  ",
      ". `-...-`.   S   S  S  s s`.:==++=+/-   s   s   sS  s  `.:// ",
      "    `.`.`-`..``//` S S      S   s   s s  S S     S   */.:-// ",
      "  @   `:``._:-:::/`.  .````   S    s      S   S S  +/:*/.:== ",
      "     @   .`.--/../,.::` 1  `.`-...+.//``::::-=-`..`--+=====. ",
      "@ ,~`     ::::::/,  ``      ```   .++=`.//++*:-::+:+=++/`    ",
      " .~~~. A :::`:,    h              :=+=//:::=:=::=+/.         ",
      "  `~,    //.:                     ::+  `.`                   ",
      " @   @ /./.`  2                 3  :/                        ",
      "` . - / //,:                      .+/`  @                    ",
      " -.////`,`:.                    `.+=/`                       ",
      ":///./,,`//                    `.:+./`                       ",
      ":::. ``` `                     `./=+//                       ",
      ",,,,,,,`.----------------------------:                       ",
    ]
  end
end
