# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class PurgingCutscene < Cutscene
  def width_height
    [35, 37]
  end

  def mid_point
    [29, 38]
  end

  def landmarks
    @landmarks ||= {
      "1" => {
        char: "?",
        accessibility: "look upon city",
        title: "ashes to ashes",
        message: "smoke fills the sky as the metropolis burns to the ground. the inhabitants continue to resist the inevitable. screams still heard in the distance.",
        focal_point: [
          "             .:.~                    ",
          "             -:  --- :-~             ",
          "      .      ~+~~+  ~.-~  -          ",
          "     . :       .+~    ~- / ~.        ",
          " +~~ / ~      ~.:~   .:  /. ~     ~~ ",
          "/.  ~- :~   ~:  +.     .~-~    ~  ...",
          "/-~  ~  :  -~~   +      :~.   .   ++ ",
          " :      ~/-              -~  .:-. :/ ",
          " .   ~   ~      ~  ~~    ~ /. ~/~    ",
          "  -+~           -,-+~      :-  .~    ",
        ]
      },
      "2" => {
        char: "?",
        accessibility: "look up above",
        title: "the executioner",
        message: "the weapon continues to charge. the engine's hum, heard even from high orbit. it eclipses the mother star, casting a shadow on the landscape.",
        focal_point: [
          "     +++  ",
          "   +++++++",
          "   ++ ~ ++",
          "    ++ ++ ",
          ".... +++  ",
          ".  .....  ",
        ]
      },
      "3" => {
        char: "?",
        accessibility: "observe wanderers",
        title: "warriors",
        message: "they sit, watching the hypnotic flames engulf the city. singing as they feast on freshly cooked flesh.",
        focal_point: [
          "-..~~~-+::  +- :   ",
          "  ~ /~..:-:+-:~~ -.",
          "  ~+ @ @  @    @   ",
          "  +     @   @      ",
          "+/  @ @    @   @ //",
          "  @      @      //.",
          ",...//~~-~.,.++//. ",
          " ~~~     ~   ~..,  ",
          "-------------------",
        ]
      }
    }
  end

  def title
    "flashback: the purging,\nlocation: city cliff side"
  end

  def layout
    [
      "           .--+.              ~ ~       +++  ",
      "-.~~-  -~:+    +    ~   ~~     ~~     +++++++",
      "  .  ~  ~~~~.~   ~ ~:-.~  ~   -~      ++ ~ ++",
      " ~~.~ ~ .~           :-..     ~.~~     ++ ++ ",
      "     ~~ ~..      ~/- ./+/-~ ~:     .... +++  ",
      "              .~  ~     ~~. ~ ~ ~~~.  .....  ",
      "  ~~      -~  ~    ../-. ~ ~- ~.  ~  2   ..  ",
      "             ~~     ~.~. .     ///.        ..",
      "          : .~ /:          @  @ //.         |",
      "  ~~          ~~~~ ---- ~~   /~...~         |",
      "./+-            ~~    -~ . //,.             |",
      " ~   ~   ~ .  ~ ~/+./:@  ///.               |",
      "-~~-/+~ -~~--++/.-  .    //.  1             |",
      "-/-..~~~-+::  +- :    ////,.                |",
      "    ~ /~..:-:+-:~~ -.  //~~                 |",
      "    ~+ @ @  @    @     ///.        A        |",
      "    +     @   @      /////.~                |",
      " .+/  @ @    @   @ //,,,..~~                |",
      "/   @      @      //.                       |",
      "..,...//~~-~.,.++//.  3                     |",
      "   ~~~     ~   ~..,                         |",
      "--------------------------------------------~",
    ]
  end

  def movement_char
    "A"
  end
end
