# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class RebellionCutscene < Cutscene
  def width_height
    [60, 33]
  end

  def mid_point
    [29, 18]
  end

  def movement_char
    "h"
  end

  def landmarks
    @landmarks ||= {
      "1" => {
        char: "?",
        title: "hope",
        accessibility_action: "observe battle field",
        message: "she leads the retaliation, willing away an onslaught of laser fire. defectors fight side by side with human soldiers. the admiral's wrath shakes the ground as he draws his weapons.",
        focal_point: [
          "  S H  H            *   ,   @      ,",
          "H        &             ~,~       @~,",
          "   &   &                 @ @  @    @",
          "   H    S     &   A     *  *      @ ",
          "     &  S                       @ @ ",
          "     H                       @  , @ ",
          "~       &         o o   **   @ ~,~ @",
          "&        o           *     @   @    ",
          "              ,        @ @  @  @    ",
          "         o  o   ~,~      *   @   @  ",
          "     o                *     @    ,  ",
        ]
      },
      "2" => {
        char: "?",
        title: "despair",
        accessibility_action: "observe sky",
        message: "the weapon continues to draw the life force of the mother star. the moons begin to shift. coaxed out of their orbits as the weapon's mass grows.",
        focal_point: [
          "     +++     ",
          "   +++++++   ",
          "   ++ ~ ++   ",
          "    ++ ++    ",
          "     +++     ",
          "         /++-",
          "   `.::. ::,:",
        ]
      }
    }
  end

  def title
    "flashback: the rebellion,\nlocation: battlefield"
  end

  def layout
    [
      "     +++                                    ",
      "   +++++++                                  ",
      "   ++ ~ ++                       ~+::=:.    ",
      "    ++ ++                       .:++/.- ~   ",
      "     +++                ~-.:-~:+.~~        .",
      "         /++- -++.~   .~~-~./.+      ~~ ~-~ ",
      "   ~.::. ::,:~:~ ~~-~..:-+/   ~ ~  .-:      ",
      "  ,~  ~.--..~.:~ ~~/ ~~~./:        -::      ",
      ".,  2        .,,      &     ,            o  ",
      ",           ,~~~    &      ~,~        o     ",
      ":          . /      H  S    H &   o      o  ",
      "|      1  ../ S   & S     &                 ",
      "~   h   .~~/   &      S  S   &     ,    o   ",
      "|      ,./: S     &     S         ~,~      *",
      ".   ..:./  H     ,       S H  H   o        *",
      ". ,~.~/.  S     ~,~    H        &    o      ",
      ",,,/.   S    &      &     &   &             ",
      ".,./   &  S    &  ,       H    S  S    & A  ",
      "     S     H     ~,~        &  S            ",
      "        &      ,    & ,     H              ~",
      " & &      &   ~,~    ~,~       &  &      o o",
      "     H  S H  &         &        o           ",
    ]
  end
end
