# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class RitualCutscene < Cutscene
  def width_height
    [51, 20]
  end

  def mid_point
    [24, 11]
  end

  def movement_char
    "h"
  end

  def landmarks
    @landmarks ||= {
      "1" => {
        char: "?",
        title: "fearless",
        accessibility_action: "observe builder",
        message: "she stands unwavering, still bleeding from self inflicted wounds. each wanderer kneels, ready to accept humanity from her.",
        focal_point: [
          " ::::    ~        ",
          "::::::::          ",
          "       :::   ~    ",
          " ~   @  :::       ",
          "          :::     ",
          "  &  @     ::   ~ ",
          "          ::      ",
          "~    @   ::     ~ ",
          "      ::::        ",
          "    ::::    S     ",
        ]
      },
      "2" => {
        char: "?",
        title: "dancing shadows",
        accessibility_action: "observe builder",
        message: "candles glow brightly, flicker violently as she breathes. she draws from their warmth, finds strength in their small flames.",
        focal_point: [
          "    ~          ",
          " S     ::    ~ ",
          "     :::  ~    ",
          " ~  :::  ~    &",
          "    :::    ~   ",
          "     ::     ~  ",
          "      ::       ",
        ]
      },
      "3" => {
        char: "?",
        title: "settlers",
        accessibility_action: "observe settlers",
        message: "chants ring through the basilica, calming the soon to be defectors. they keep their weapons drawn, just in case.",
        focal_point: [
          "|    ::::        ~   ",
          "::::::::    S       :",
          "::::::         S  :::",
          ":::::::    ~         ",
          "::::::: S     ::    ~",
          "::-::       :::  ~   ",
          "::      ~  :::  ~    ",
          "::   S     :::    ~  ",
          "::.         ::     ~ ",
          ":::::::      ::      ",
          ":::::.   S           ",
        ]
      }
    }
  end

  def title
    "flashback: rituals,\nlocation: sanctuary"
  end

  def layout
    [
      "+---------------------------::::::.         ",
      "|                       ::::::::::::.       ",
      "|       h            2 :::::::::::::::::.   ",
      "|                     :::::::::::::::::::::.",
      "|        1    ::::::::::::::::::::::::::::::",
      "|            :::::::::            ::::::::::",
      "|     :::::::::      S                ::::::",
      "| 3  ::::        ~        ~       S        .",
      "::::::::    S       ::::    ~         S     ",
      "::::::         S  :::::::::             S   ",
      ":::::::    ~              :::   ~           ",
      "::::::: S     ::    ~   @  :::          S   ",
      "::-::       :::  ~           :::            ",
      "::      ~  :::  ~    &  @     ::   ~        ",
      "::   S     :::    ~          ::         S   ",
      "::.         ::     ~    @   ::     ~       :",
      ":::::::      ::          ::::             ::",
      ":::::.   S             ::::    S        ::::",
      " .:::.      ~  S     S                :::   ",
      "    ..                                ::    ",
    ]
  end
end
