# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class StarGazerCutscene < Cutscene
  def width_height
    [60, 27]
  end

  def mid_point
    [29, 29]
  end

  def landmarks
    @landmarks = {
      "1" => {
        char: "?",
        title: "fleet",
        accessibility: "look outside window",
        message: "seen out the window, countless wanderer vessels follow closely. breathing anxiously in unison. the executioner's in position, begins to charge its weapon.",
        focal_point: [
          "     +++      ",
          "   +++++++    ",
          "   ++ ~ ++    ",
          "    ++ ++     ",
          "     +++   #  ",
          "  #      #    ",
          "    ##        ",
        ]
      },
      "2" => {
        char: "?",
        title: "occultists",
        accessibility: "starship lower deck, starboard",
        message: "their incantations echo to the upper deck. ethereal lights ebb and flow as each syllable leaves their tongues. weaponry and artifacts slowly materialize around them.",
        focal_point: [
          "    .------.     ",
          "   .|  @  *| .   ",
          "  . , * *  , .   ",
          "  .|  @   *____  ",
          "  :|*  @@* *  *  ",
          "  ., @ @ *  *    ",
          "  | @ * @  * *   ",
          "  .-.-.-.-.----  ",
          "                 ",
        ]
      },
      "3" => {
        char: "?",
        title: "warriors",
        accessibility: "starship lower deck, port",
        message: "they salute. deafening cheers fill the ship. their thirst to conquer barely contained as they equip their weapons.",
        focal_point: [
          "  . ..+-+-+-.    ",
          "     , @  @ |    ",
          "  . |   @   ,    ",
          "  ___ @    ,     ",
          "   *     @ |     ",
          "  *  @ @   |     ",
          "      @    |  :  ",
          "  -.-.-.-.-.---. ",
          "               : ",
        ]
      },
      "4" => {
        char: "@",
        title: "pilot",
        accessibility: "ask for status update",
        message: "he keeps the course steady, even as his hands tremble with excitement. says the demolition ships have finished rigging the planet's moons with explosives."
      },
      "5" => {
        char: "@",
        title: "a builder",
        accessibility: "observe builder",
        message: "she stands arms folded, looking complacently upon the world. watches it orbit slowly around its mother star."
      }
    }
  end

  def title
    "flashback: star gazer,\nlocation: admiral's ship"
  end

  def layout
    [
      "     +++         #    .------.   . ..+-+-+-.                ",
      "   +++++++     #     .|  @  *| .    , @  @ |                ",
      "   ++ ~ ++        # . , * *  , . . |   @   ,     #          ",
      "    ++ ++    # # #  .|  @   *_______ @    ,         :       ",
      "     +++   #        :|*  @@* *  * *     @ |     # ,    #    ",
      "  #      #    #  #  ., @ @ *  *  *  @ @   |       #         ",
      "    ##      #  #    | @ * @  * *     @    |  :         # #  ",
      "      #  # #  .-----.-.-.-.-.-----.-.-.-.-.---.  :          ",
      "    #         .  1       2           3        :     # .     ",
      "      #    :  |                               |             ",
      "   #     # :  :           .______.      .-----:     :       ",
      "       .      :----.      |      |      |         :  :      ",
      "   #  #            |      |      |      |                 -.",
      "                   |      |      |      |         :     .--.",
      "    .  # .  ,------.      .------.      .---.          /--: ",
      "       .   .                                :|   :     -.--.",
      "           .|                             5  ,       .--..-.",
      "      .    :                  4              ,   -/+/--:   '",
      "   .     : :...____.      .______.      .___.               ",
      "         .. .     ,  A    :      -:    ./ .   -..-..-/+/--: ",
      "       ..         .      :.       .     ,: .-..--:     -.--.",
      "       .         .     :,/.      .|    ,/ ...--:     .--..-.",
      "       ,.  ...-..:.--:,/..       .-'--:/. ...--..-/+/--:   '",
      "  :        -:-.. ...-.....                 ,       ',       ",
      "     ,     .-      -....                 , . -. ',   | ',   ",
      "   :                 ...                -. -:-. ',   | ',   ",
      "                     ..                .--:..   ',   ._'    ",
    ]
  end
end
