# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class ObservatoryEvent < MiniWorldEvent
  def initialize game
    @game = game
    @title = "the observatory"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def init_scenes
    @scenes = {
      start: {
        text: [
          ['the blast doors are open.'],
        ],
        options: {
          enter: :see_history,
          leave: leave
        }
      },
      see_history: {
        :text => [
          ["stars shine brightly through impenetrable glass.\n\nthe room is freezing."],
        ],
        options: {
          back: :start
        }
      }
    }
  end

  def on_clear
    @game.world.event = nil
  end
end
