# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class SmallChildEvent < WorldEvent
  def initialize game
    @game = game
    @title = "a house"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def thoughts_message
    "she sleeps now, to forget."
  end

  def action_on_exit
    :clear
  end

  def init_scenes
    @scenes = {
      :start => {
        :text => [
          'an old house remains here, once white siding yellowed and peeling.',
          'the door hangs open.'
        ],
        :options => {
          :go_inside => { :next_scene => :a_small_child },
          :leave => aborted
        },
      },
      :a_small_child => {
        :storyline => true,
        :title => "a small child",
        :text => [
          "a small child huddles in a corner, eyes weary.",
        ],
        :options => {
          :observe => { :next_scene => :observe },
        },
      },
      :observe => {
        :storyline => true,
        :text => [
          "she says she's afraid of her nightmares, fears they might come true."
        ],
        :options => {
          :continue => { :next_scene => :continue }
        },
      },
      :continue => {
        :storyline => true,
        :text => [
          "a man bolts in from the back room. wide eyed, weapon drawn.",
        ],
        :options => {
          :attack => { :next_scene => :attack },
          :leave => aborted
        },
      },
      :attack => {
        :text => ["he retaliates. she screams."],
        :combat => true,
        :enemy => :squatter,
        :damage => 8,
        :hit => 0.8,
        :attack_delay => 1,
        :health => 55,
        :max_health => 55,
        :loot => {
          :katana => { :min => 1, :max => 1, :chance => 1.0 },
          :food => { :min => 5, :max => 10, :chance => 1.0 },
        },
        :options => {
          :continue => clear
        }
      }
    }
  end
end
