# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class AdmiralRoomEvent < MiniWorldEvent
  def initialize game
    @game = game
    @title = "admiral's quarters"
    super @game.world.stores,
          @game.world.weapon_stores,
          @game.world.weapon_items,
          @game.world.enemy_damage_multiplier
  end

  def init_scenes
    if(!@game.world.has_opened_chest)
      @scenes = {
        start: {
          text: [
            "the room is in complete disarray.",
          ],
          options: {
            search: :search,
            leave: leave,
          }
        },
        search: {
          text: [
            'armour and a pair of katanas glimmer in the corner of the room.'
          ],
          loot: {

          },
          loot_title: "admiral's quarters",
          loot_action: 'equip',
          continue_command: 'back',
          :options => {
            :leave => :start
          }
        }
      }
    else
      @scenes = {
        start: {
          text: [
            "the room is in complete disarray.",
          ],
          options: {
            leave: leave,
          }
        }
      }
    end
  end

  def on_clear
    @game.world.event = nil
  end

  def scene_changed
    super
    if @scenes[:search] && @game.world.has_opened_chest
      @scenes[:search][:text] = ["..."]
      @scenes[:search][:loot_action] = 'loot'
    end
  end

  def loot_sample
    if(!@game.world.has_opened_chest)
      $game.world.admiral_weapon_stores << Masamune.new
      $game.world.admiral_weapon_stores << Murasame.new
      @game.stores[:war_mantle] = 1
      @game.stores[:leather_armour] = 1
      @game.stores[:iron_armour] = 1
      @game.stores[:steel_armour] = 1
    end
    @game.world.has_opened_chest = true

    return @game.world.admiral_stores
  end

  def weapon_sample
    return @game.world.admiral_weapon_stores
  end
end
