# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class BattlefieldEvent < WorldEvent
  def initialize game
    @game = game
    @title = "a battlefield"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def action_on_exit
    :clear
  end

  def init_scenes
    @scenes = {
      :start => {
        :storyline => true,
        :text => [
          [
            "remnants of a battle between wanderer and human.",
            "battered technology from both sides lays dormant on the blasted landscape."
          ],
          [
            "humanity swayed many wanderers and made them defectors. enemies to the cause.",
            "the admiral's forces were outnumbered here."
          ],
          [
            "charred bodies of defectors lay in a pile.",
            "wanderers that carried out the ritual and joined the humans."
          ],
          [
            "fallen defectors, holding primitive weapons.",
            "they outnumbered the admiral's forces six to one.",
          ],
          [
            "human bodies buried under folded flags. such a pointless ceremony.",
            "made comrades question the mission, question wanderer motives.",
          ],
          [
            "a massacre lead by the admiral's army. they made swift work of the resistance.",
            "ceremonial flags jut from the ground, grasped tightly by human corpses."
          ],
          [
            "massive casualties on both sides. a defector kneels in the distance, grieving.",
            "humanity has poisoned his mind.",
          ],
          [
            "a comrade still bleeding out, too far gone to help.",
            "he asks for a human burial in his dying breaths.",
          ],
          [
            "a human still bleeding out, too far gone to help.",
            "says he forgives the wanderers for what they've done.",
          ]
        ].sample,
        :loot => {
          :rifle => { :min => 1, :max => 3, :chance => 1.0 },
          :bullets => { :min => 5, :max => 20, :chance => 1.0 },
          :laser => { :min => 1, :max => 2, :chance => 1.0 },
          :battery => { :min => 5, :max => 10, :chance => 1.0 },
          :grenade => { :min => 1, :max => 5, :chance => 1.0 },
          :alien_alloy => { :min => 1, :max => 3, :chance => 1.0 },
          :katana => { :min => 1, :max => 2, :chance => 1.0 }
        },
        :options => { :leave => clear }
      }
    }
  end
end
