# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class BoreholeEvent < WorldEvent
  def initialize game
    @game = game
    @title = "a huge bore hole"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def action_on_exit
    :clear
  end

  def init_scenes
    @scenes = {
      :start => {
        :storyline => true,
        :text => [
          [
            'the machines cut away at the crust. futile attempts were made to destroy them.',
            'wanderer craftsmanship is unmatched.',
          ],
          [
            'wanderer steel glistens in the starlight.',
            'the insignia of a high ranking occultist, etched into the side of the drill.',
          ],
          [
            'few can reach the ranks of the occultists and craft these machines.',
            'few have the skills to provide the lifeline for wanderer fleets.'
          ],
          [
            'this machine has been dismantled.',
            "only possible by the hands of the original builders."
          ],
          [
            "the machine lays dormant, frozen in time. damaged by its own maker.",
            "defectors, even at the highest ranks."
          ],
          [
            "humans try desperately to stop the drills. a dark haze covers the sky."
          ],
          [
            "the machine's been torn apart by the hands of its maker.",
            "wanderer steel strewn about. the occultist insignia stricken through.",
          ]
        ].sample,
        :loot => {
          :alien_alloy => { :min => 1, :max => 4, :chance => 1 }
        },
        :options => { :leave => clear }
      }
    }
  end
end
