# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class BottomlessBoxEvent < WorldEvent
  def initialize game
    @game = game
    @title = "a murky swamp"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def action_on_exit
    :end
  end

  def replenishes_water?
    true
  end

  def on_clear_replace_with
    :bottomless_box
  end

  def init_scenes
    replenish_water

    @scenes = {
      :start => {
        :text => [
          "rotting reeds rise out of the swampy earth.",
          "the admiral sits, in a seeming trance."
        ],
        :options => {
          :stores => { :next_scene => { 1 => :stores } },
          :cook => { :next_scene => { 1 => :cook } },
          :leave => leave
        }
      },
      :stores => {
        :text => [
          "supplies will be safe here. even through the ripples in time."
        ],
        :loot => { },
        :options => {
          :leave => leave
        }
      },
      :cook => {
        :text => [
          "meager scraps, poorly prepared."
        ],
        :cost => { :flesh => 3 },
        :loot => {
          :food => { :min => 5, :max => 10, :chance => 1.0 },
        },
        :options => {
          :continue => { :next_scene => { 1 => :start } }
        },
      },
    }
  end

  def loot_sample
    if @current_scene == :cook
      results = super
      @game.world.swamp_stores[:food] ||= 0
      @game.world.swamp_stores[:food] += results[:food]
    end

    return @game.world.swamp_stores
  end

  def weapon_sample
    return @game.world.swamp_weapon_stores
  end
end
