# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class BuilderEvent < WorldEvent
  def initialize game
    @game = game
    @title = "a fallen wanderer"
    @combat_tick = 0

    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def action_on_exit
    :end
  end

  def init_scenes
    @scenes = {
      :start => {
        :storyline => true,
        :text => [
          "a wanderer. she's one of the defectors.",
        ],
        :options => {
          :examine => { :next_scene => { 1 => :examine } },
        }
      },
      :examine => {
        :storyline => true,
        :text => [
          "the insignia of a high ranking occultist, a builder.",
          "laser wounds cover her body. she's bled out.",
        ],
        :options => {
          :turn_body => { :next_scene => { 1 => :turn_body } },
        }
      },
      :turn_body => {
        :storyline => true,
        :text => [
          'a crude locket around her neck glows brightly,',
          'nothing of significance.',
        ],
        :options => {
          :leave => clear
        }
      }
    }
  end
end
