# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class BuilderRoomEvent < MiniWorldEvent
  def initialize game
    @game = game
    @title = "builder's room"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def init_scenes
    if $mini_world.end_game_sequence != true
      @scenes = {
        start: {
          text: [
            'the scent of rose water fills the air.',
            'an artifact glows nearby.',
          ],
          options: {
            touch_artifact: :pickup,
            leave: leave
          }
        },
        pickup: {
          text: [
            'it brings a small bit of comfort.',
            'nothing happens.'
          ],
          options: {
            step_back: :start
          }
        }
      }
    else
      if $mini_world.artifact_worn == false
        @scenes = {
          start: {
            text: [
              'the scent of rose water fills the air.',
              'an artifact glows brightly nearby.',
            ],
            options: {
              touch_artifact: :wear,
              leave: leave
            }
          },
          wear: {
            text: [
              'dancing lights envelop the room,',
              "crystalizing into a rigid barrier.",
            ],
            options: {
              look: leave
            }
          }
        }
      else
        @scenes = {
          start: {
            text: [
              'the scent of rose water fills the air.',
              'an artifact glows nearby.',
            ],
            options: {
              leave: leave
            }
          }
        }
      end
    end
  end

  def on_clear
    @game.world.event = nil
  end

  def scene_changed
    if @current_scene == :wear
      $mini_world.artifact_worn = true
      $mini_world.blown_map_save_builder
      $mini_world.enemies.clear
      $mini_world.ticks = 141
      #@landmarks = {[21, 18]=>"V", [39, 18]=>"B", [49, 23]=>"M", [30, 32]=>"L", [49, 32]=>"O", [39, 38]=>"X"}
      # $mini_world_scene.draw_map
    end
  end
end
