# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class CoweringFamilyEvent < WorldEvent
  def initialize game
    @game = game
    @title = "an old house"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def thoughts_message
    "the child starved first."
  end

  def replenishes_water?
    true
  end

  def action_on_exit
    :aborted
  end

  def init_scenes
    @scenes = {
      :start => {
        :text => [
          'an old house remains here, once white siding yellowed and peeling.',
          'the door hangs open.'
        ],
        :options => {
          :go_inside => {
            :next_scene => { 1 => :family }
          },
          :leave => aborted
        },
      },
      :family => {
        :storyline => true,
        :text => [
          "a family cowers in the corner, diverting their eyes.",
          "meager scraps strewn across the table."
        ],
        :options => {
          :steal_scraps => {
            :next_scene => { 1 => :tears },
          },
          :leave => aborted
        },
      },
      :tears => {
        :storyline => true,
        :text => [
          "their eyes fill with tears."
        ],
        :loot => {
          :food => { :min => 4, :max => 8, :chance => 1.0 },
        },
        :options => {
          :leave => clear
        },
      }
    }
  end
end
