# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class SnarlingBeastEvent < EncounterEvent
  title "a snarling beast"
  text "a snarling beast leaps out of the underbrush."
  enemy :snarling_beast
  damage 1
  health 5
  attack_delay 1
  hit 0.8

  def loot
    {
      :eyes => { :min => 1, :max => 1, :chance => 0.8 },
      :flesh => { :min => 1, :max => 1, :chance => 1.0 },
      :teeth => { :min => 1, :max => 1, :chance => 0.8 },
    }
  end
end

class StrangeBirdEvent < EncounterEvent
  title "a strange bird"
  text "a strange bird speeds across the plains."
  enemy :strange_bird
  damage 3
  health 4
  attack_delay 2
  hit 0.8

  def loot
    {
      :eyes => { :min => 1, :max => 1, :chance => 0.8 },
      :flesh => { :min => 1, :max => 1, :chance => 1.0 },
    }
  end
end

class GauntManEvent < EncounterEvent
  title "a gaunt man"
  text "a gaunt man approaches, a crazed look in his eye."
  enemy :gaunt_man
  damage 2
  health 6
  attack_delay 2
  hit 0.8

  def loot
    {
      :knife => { :min => 1, :max => 1, :chance => 0.8 },
      :teeth => { :min => 1, :max => 1, :chance => 1.0 },
      :flesh => { :min => 1, :max => 1, :chance => 1.0 },
    }
  end
end

class FeralTerrorEvent < EncounterEvent
  title "a feral terror"
  text "a beast, wilder than imagining, erupts out of the foliage."
  enemy :feral_terror
  damage 8
  health 40
  attack_delay 1
  hit 0.8

  def loot
    {
      :eyes => { :min => 1, :max => 2, :chance => 0.8 },
      :flesh => { :min => 2, :max => 5, :chance => 1.0 },
      :teeth => { :min => 2, :max => 5, :chance => 0.8 },
    }
  end
end

class SniperEvent < EncounterEvent
  title "a sniper"
  text "a shot rings out, from somewhere in the long grass."
  enemy :sniper
  damage 35
  health 45
  attack_delay 4
  hit 0.8

  def loot
    {
      :bullets => { :min => 1, :max => 5, :chance => 1.0 },
      :rifle => { :min => 1, :max => 1, :chance => 0.2 },
      :food => { :min => 1, :max => 3, :chance => 1.0 },
    }
  end
end

class SoldierEvent < EncounterEvent
  title "a soldier"
  text "a soldier opens fire from across the desert."
  enemy :soldier
  damage 16
  health 50
  attack_delay 2
  hit 0.8

  def loot
    {
      :bullets => { :min => 1, :max => 5, :chance => 1.0 },
      :rifle => { :min => 1, :max => 1, :chance => 0.2 },
      :food => { :min => 1, :max => 3, :chance => 1.0 },
    }
  end
end

class ManEaterEvent < EncounterEvent
  title "a man eater"
  text "a large creature attacks, claws freshly bloodied."
  enemy :man_eater
  damage 2
  health 25
  attack_delay 1
  hit 0.8

  def loot
    {
      :eyes => { :min => 2, :max => 4, :chance => 0.8 },
      :flesh => { :min => 1, :max => 3, :chance => 1.0 },
      :teeth => { :min => 1, :max => 3, :chance => 0.8 },
    }
  end
end

class HugeLizardEvent < EncounterEvent
  title "a huge lizard"
  text "the grass thrashes wildly as a huge lizard pushes through."
  enemy :lizard
  damage 5
  health 20
  attack_delay 2
  hit 0.8

  def loot
    {
      :eyes => { :min => 1, :max => 2, :chance => 0.8 },
      :flesh => { :min => 1, :max => 3, :chance => 1.0 },
    }
  end
end

class ScavengerEvent < EncounterEvent
  title "a scavenger"
  text "a scavenger draws close, hoping for an easy score."
  enemy :scavenger
  damage 4
  health 30
  attack_delay 2
  hit 0.8

  def loot
    {
      :knife => { :min => 1, :max => 1, :chance => 0.8 },
      :teeth => { :min => 1, :max => 3, :chance => 1.0 },
      :flesh => { :min => 1, :max => 2, :chance => 1.0 },
    }
  end
end

class DancingShadow < EncounterEvent
  title "a wraith"
  text ["a dancing shadow fades into view, laughing, eyes gleaming.",
        "a wraith appears. steadfast. smirks. points towards the defector.",
        "a wraith circles about. contorted movements. whispers death awaits."]
  enemy :wraith
  damage 0
  health 1
  attack_delay 2
  hit 0.3

  def loot
    { }
  end
end
