# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class FireLitRoomEvent < WorldEvent
  def initialize game
    @game = game
    @title = "a house"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def thoughts_message
    "the light from the fire spills from the windows, out into the dark."
  end

  def action_on_exit
    :clear
  end

  def init_scenes
    @scenes = {
      :start => {
        :text => [
          'an old house remains here, once white siding yellowed and peeling.',
          'the door hangs open.'
        ],
        :options => {
          :go_inside => { :next_scene => :firelit_room },
          :leave => aborted
        },
      },
      :firelit_room => {
        :storyline => true,
        :title => "a firelit room",
        :text => [
          "a defector sits in a firelit room.",
          "says he'll fight only in defense. says to join him."
        ],
        :options => {
          :attack => { :next_scene => :attack },
          :sit => { :next_scene => :sit },
          :leave => aborted
        },
      },
      :sit => {
        :storyline => true,
        :text => [
          "he speaks of humanity. he speaks of a life unhindered by the thirst to conquer."
        ],
        :options => {
          :stoke_fire => { :next_scene => :stoke_fire }
        },
      },
      :stoke_fire => {
        :storyline => true,
        :text => [
          "the fire is roaring. the room is hot."
        ],
        :options => {
          :stand => { :next_scene => :stand }
        },
      },
      :stand => {
        :storyline => true,
        :title => "a firelit room",
        :text => [
          "a defector sits in a firelit room.",
        ],
        :options => {
          :attack => { :next_scene => :attack },
          :leave => clear
        },
      },
      :attack => {
        :text => ["he retaliates without hesitation."],
        :combat => true,
        :enemy => :defector,
        :damage => 8,
        :hit => 0.8,
        :attack_delay => 1,
        :health => 55,
        :max_health => 55,
        :loot => {
          :laser => { :min => 1, :max => 1, :chance => 1.0 },
          :battery => { :min => 1, :max => 5, :chance => 1.0 },
          :food => { :min => 5, :max => 10, :chance => 1.0 },
        },
        :options => {
          :continue => clear
        }
      }
    }
  end
end
