# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class HouseEvent < WorldEvent
  def initialize game
    @game = game
    @title = "an old house"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def action_on_exit
    :clear
  end

  def init_scenes
    @scenes = {
      :start => {
        :text => [
          'an old house remains here, once white siding yellowed and peeling.',
          'the door hangs open.'
        ],
        :options => {
          :go_inside => {
            :next_scene => { 0.3 => :supplies, 1 => :occupied }
          },
          :leave => clear
        },
      },
      :supplies => {
        :text => [
          'the house is abandoned, but not yet picked over.',
          'still a few drops of water in the old well.'
        ],
        :loot => {
          :food => { :min => 7, :max => 10, :chance => 1.0 },
          :knife => { :min => 1, :max => 1, :chance => 0.8 },
          :torch => { :min => 1, :max => 2, :chance => 1.0 },
        },
        :options => { :leave => clear }
      },
      :occupied => {
        :text => ['a man charges down the hall, a rusty blade in his hand.'],
        :combat => true,
        :enemy => :squatter,
        :damage => 4,
        :hit => 0.8,
        :attack_delay => 2,
        :health => 5,
        :max_health => 5,
        :loot => {
          :food => { :min => 7, :max => 10, :chance => 1.0 },
          :knife => { :min => 1, :max => 1, :chance => 0.8 },
          :torch => { :min => 1, :max => 2, :chance => 1.0 },
        },
        :options => {
          :continue => clear,
          :run => clear
        }
      }
    }
  end
end
