# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class IronMineEvent < WorldEvent
  def initialize game
    @game = game
    @title = "the iron mine"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def generates_road?
    true
  end

  def action_on_exit
    :kill_in_battle
  end

  def init_scenes
    @scenes = {
      :start => {
        :text => [
          'an old iron mine sits here, tools abandoned and left to rust.',
          'bleached bones are strewn about the entrance. many, deeply scored with jagged grooves.',
          'feral howls echo out of the darkness.'
        ],
        :options => {
          :go_inside => { :next_scene => :go_inside },
          :leave => leave
        }
      },
      :go_inside => {
        :text => ['a large creature lunges, muscles rippling in the torchlight.'],
        :cost => { :torch => 1 },
        :combat => true,
        :enemy => :beastly_matriarch,
        :damage => 9,
        :hit => 0.8,
        :attack_delay => 2,
        :health => 40,
        :max_health => 40,
        :loot => {
          :teeth => {
            :min => 5,
            :max => 10,
            :chance => 1
          },
          :flesh => {
            :min => 5,
            :max => 10,
            :chance => 0.8
          },
          :eyes => {
            :min => 5,
            :max => 10,
            :chance => 0.8
          }
        },
        :options => {
          :continue => { :next_scene => :cleared },
        }
      },
      :cleared => {
        :text => [
          'the beast is dead.',
          "scattered everywhere, bones of bodies picked clean.",
          "shouldn't let their gear go to waste."
        ],
        :options => {
          :leave => clear,
        }
      }
    }
  end
end
