# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class LeaveShipEvent < MiniWorldEvent
  def initialize game
    @game = game
    @title = "exit"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def init_scenes
    if $mini_world.end_game_sequence != nil && $mini_world.end_game_sequence != true
      @scenes = {
        start: {
          text: [
            'the blast doors open slowly.',
          ],
          options: {
            stay: leave,
            leave_ship: clear
          }
        }
      }
    else
      @scenes = {
        start: {
          text: [
            'the blast doors are unresponsive.',
          ],
          options: {
            :turn_back => aborted
          }
        }
      }
    end
  end

  def on_clear
    @game.world.event = nil
  end
end
