# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class LiftoffEvent < MiniWorldEvent
  def initialize game
    @game = game
    @title = "launch panel"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def init_scenes
    @scenes = {
      :start => {
        :text => [
          'launch controls to start the ship.',
        ],
        options: {
          leave: leave
        }
      },
      launch_ship: {
        text: [
          #'launch controls to major tom..',
          #'commencing countdown engines on...',
          #'engines engaged.',
          'confirm launch.'
        ],
        :options => {
          yes: leave,
          no: :start
        }
      }
    }

    status_text = 'error: '
    if ($game.world.thruster_stores[:alien_alloy] || 0) < 10
      status_text += "thruster strength insufficient. "
    end

    if ($game.world.shield_stores[:alien_alloy] || 0) < 10
      status_text += "shield strength insufficient. "
    end

    if (($game.world.shield_stores[:alien_alloy] || 0) >= 10) && (($game.world.shield_stores[:alien_alloy] || 0) >= 10)
      status_text = "ready for launch."

      @scenes[:start][:options] = {
        launch_ship: :launch_ship,
        :leave => leave
      }
    end

    @scenes[:start][:text] = [status_text]

    if $mini_world.end_game_sequence == true
      @scenes[:start][:options].delete(:launch_ship)
      @scenes[:start][:text] = ['the controls are unresponsive.']
      @scenes[:start][:options].delete(:leave)
      @scenes[:start][:options] = { :leave => leave }
    end
  end

  def on_clear
    @game.world.event = nil
  end

  def scene_changed
    if @current_scene == :launch_ship
      $mini_world.start_endgame_sequence
    end
  end
end
