# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class LozengeLoungeEvent < WorldEvent
  def initialize game
    @game = game
    @title = "a house"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end
  
  def replenishes_water?
    true
  end
  
  def action_on_exit
    :kill_in_battle
  end
  
  def init_scenes
    replenish_water

    @scenes = {
      :start => {
        :text => [
          "the chimney bellowing with black smoke.\n",
          'a brass door knob, warm to the touch.',
        ],
        :options => {
          :open_door => { :next_scene => :open_door },
        },
      },
      :open_door => {
        :storyline => true,
        :text => [
          "the room is dim, minus the fireplace.\n",
          'still ablaze.',
        ],
        :options => {
          :explore_cabin => { :next_scene => :dining_room },
        },
      },
      :dining_room => {
        :storyline => true,
        :text => [
          "fine china lies atop of metallic chargers.\n",
          'a letter rests eagerly to be read.'
        ],
        :options => {
          :read_letter => { :next_scene => :note },
          :leave_cabin => { :next_scene => :leave_cabin },
        },
      },
      :note => {
        :storyline => true,
        :text => [
          "barely bareable bare bear buttocks",
        ],
        :options => {
          :put_down_letter => { :next_scene => :dining_room_two },
        },
      },
      :dining_room_two => {
        :storyline => true,
        :text => [
          "fine china lies atop of metallic chargers.\n",
          'a letter rests eagerly to be read.'
        ],
        :options => {
          :read_letter => { :next_scene => :note_two },
          :leave_cabin => { :next_scene => :leave_cabin },
        },
      },
      :note_two => {
        :storyline => true,
        :text => [
          "barely bareable bare bear buttocks!",
          "\n- 10 13 19 -",
        ],
        :options => {
          :put_down_note => { :next_scene => :dining_room_three },
          :burn_letter => { :next_scene => :burn_letter },
        },
      },
      :burn_letter => {
        :storyline => true,
        :text => [
          'as the letter is consumed,',
          'the fireplace roars.',
          'a spark flies out onto the roof.',
        ],
        :options => {
          :leave_cabin => { :next_scene => :look_back }
        }
      },
      :dining_room_three => {
        :storyline => true,
        :text => [
          'fine china lies atop of metallic chargers.',
          "\nthe smell of the wild wafts in the air.\n",
          'freshly prepared meat now on the plates.',
        ],
        :loot => {
          :food => { :min => 8, :max => 8, :chance => 1.0 },
        },
        :options => {
          :continue => { :next_scene => { 1 => :dining_room_four } },
        },
      },
      :dining_room_four => {
        :storyline => true,
        :text => [
          "fine china lies atop of metallic chargers.\n",
          "the letter is gone.",
        ],
        :options => {
          :leave_cabin => { :next_scene => :leave_cabin },
        },
      },
      :leave_cabin => {
        :storyline => true,
        :text => [
          'as the door is opened,',
          'the fireplace roars.',
          "\na single spark flies out onto the roof.",
        ],
        :options => {
          :look_back => { :next_scene => :look_back },
        },
      },
      :look_back => {
        :storyline => true,
        :text => [
          'the house, now a hellish inferno.'
        ],
        :options => {
          :woops => clear
        }
      },
    }
  end
end
