# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class MedicalBayEvent < MiniWorldEvent
  def initialize game
    @game = game
    @title = "medbay"
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def init_scenes
    @scenes = {
      start: {
        text: [
          'occultist machines hum. emitting a healing light.',
        ],
        options: {
          heal: :heal,
          leave: leave
        }
      },
      heal: {
        text: [
          'wounds heal, as if time has been turned back.',
        ],
        options: {
          leave: leave
        }
      }
    }
  end

  def on_clear
    @game.world.event = nil
  end

  def scene_changed
    if @current_scene == :heal
      $game.world.current_hp = $game.world.max_hp

      if $mini_world.end_game_sequence == true
        if ($mini_world.ticks) % 4 == 3
        #$mini_world.ticks += 4
        elsif ($mini_world.ticks) % 4 == 2
          $mini_world.ticks += 1
        elsif ($mini_world.ticks) % 4 == 1
          $mini_world.ticks += 2
        else
          $mini_world.ticks += 3
        end
      end
    end
  end
end
