# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class MerchantEvent < WorldEvent
  def initialize game
    @game = game
    @title = "an occultist"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def action_on_exit
    :end
  end

  def init_scenes
    replenish_water

    @scenes = {
      :start => {
        :text => [
          "a wanderer's silhouette can be seen through the window.",
          "tools for crafting artifacts glisten in flickering candlelight.",
        ],
        :options => {
          :enter => { :next_scene => { 1 => :cabin } },
          :leave => leave
        }
      },
      :cabin => {
        :text => [
          'he asks for food. in return, promises power overwhelming.',
        ],
        :options => {
          :give_food => {
            :next_scene => { 1 => :give_food },
            :next_scene_cost => { :food => 5 },
          },
          :leave => leave
        }
      },
      :give_food => {
        :text => [
          'the occultist takes the food. sneers.',
        ],
        :options => {
          :upgrade_sight => { :next_scene => { 1 => :upgrade_sight } },
          :upgrade_health => { :next_scene => { 1 => :upgrade_health } },
          :leave => leave
        }
      },
      :upgrade_sight => {
        :cost => { :eyes => 10 },
        :text => [ 'the occultist takes the eyes.', 'crafts an artifact to increase sight...', ],
        :options => { :continue => { :next_scene => { 1 => :sight_artifact } }, }
      },
      :sight_artifact => {
        :text => [ 'his palm opens.', 'the artifact glows.', ],
        :loot => { :sight => { :min => 1, :max => 1, :chance => 1.0 }, },
        :options => { :continue => { :next_scene => { 1 => :give_food } } }
      },


      :upgrade_health => {
        :cost => { :flesh => 10 },
        :text => [ 'the occultist takes the flesh.', 'crafts an artifact to increase hp recovery...', ],
        :options => { :continue => { :next_scene => { 1 => :health_artifact } }, }
      },
      :health_artifact => {
        :text => [ 'his palm opens.', 'the artifact glows.', ],
        :loot => { :health => { :min => 1, :max => 1, :chance => 1.0 }, },
        :options => { :continue => { :next_scene => { 1 => :give_food } } }
      }
    }
  end
end
