# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class MotherAndBabyEvent < WorldEvent
  def initialize game
    @game = game
    @title = "an old house"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def thoughts_message
    "the cries of the infant slowly fade."
  end

  def action_on_exit
    :aborted
  end

  def init_scenes
    @scenes = {
      :start => {
        :text => [
          'an old house remains here, once white siding yellowed and peeling.',
          'the door hangs open.'
        ],
        :options => {
          :go_inside => {
            :next_scene => { 1 => :woman }
          },
          :leave => aborted
        },
      },
      :woman => {
        :storyline => true,
        :title => "a woman",
        :text => [
          "startled, a woman frantically grabs a knife. brandishes it with the strength of desperation."
        ],
        :options => {
          :kill_her => { :next_scene => { 1 => :attack } },
          :spare_her => aborted
        },
      },
      :attack => {
        :text => ['deafening screams of fear and hopelessness. yet she still fights.'],
        :combat => true,
        :enemy => :squatter,
        :damage => 3,
        :hit => 0.8,
        :attack_delay => 2,
        :health => 15,
        :max_health => 15,
        :loot => {
          :food => { :min => 7, :max => 10, :chance => 1.0 },
          :knife => { :min => 1, :max => 1, :chance => 0.8 },
        },
        :options => {
          :continue => { :next_scene => { 1 => :baby } }
        }
      },
      :baby => {
        :storyline => true,
        :text => [
          'the woman desperately swings as she takes her last breath.',
          'cries of an infant can be heard from the bedroom.',
        ],
        :options => {
          :leave => clear
        },
      }
    }
  end
end
