# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class OutpostEvent < WorldEvent
  def initialize game
    @game = game
    @title = "a friendly outpost"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def action_on_exit
    :clear
  end

  def init_scenes
    @scenes = {
      :start => {
        :text => [
          'a safe place in the wilds.',
        ],
        :options => {
          :go_inside => {
            :next_scene => { 1 => :supplies }
          },
          :leave => clear
        },
      },
      :supplies => {
        :text => [
          'a safe place in the wilds.'
        ],
        :loot => {
          :food => { :min => 3, :max => 5, :chance => 1.0 },
        },
        :options => { :leave => clear }
      }
    }
  end
end
