# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class ShieldsEvent < MiniWorldEvent
  def initialize game
    @game = game
    @title = "shield room"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def scene_changed
    super

    @scenes[:start][:text] = [
      "the expansion slots seem to be in working condition.",
      "shields at: #{((@game.world.shield_stores[:alien_alloy] || 0).fdiv(10) * 100).to_i}%"
    ]

    @scenes[:upgrade_shields][:text] = [
      "the expansion slots seem to be in working condition.",
      "shields at: #{((@game.world.shield_stores[:alien_alloy] || 0).fdiv(10) * 100).to_i}%"
    ]
  end

  def init_scenes
    @game.world.shield_stores[:alien_alloy] ||= 0
    @scenes = {
      start: {
        text: [
          "the expansion slots seem to be in working condition.",
          "shields at: #{((@game.world.shield_stores[:alien_alloy] || 0).fdiv(10) * 100).to_i}%"
        ],
        options: {
          upgrade_shields: :upgrade_shields,
          leave: leave
        }
      },
      upgrade_shields: {
        text: [
          "the expansion slots seem to be in working condition.",
          "shields at: #{((@game.world.shield_stores[:alien_alloy] || 0).fdiv(10) * 100).to_i}%"
        ],
        loot: { },
        white_listed_loot: [:alien_alloy],
        loot_title: 'the shields',
        loot_drop_command: 'install',
        loot_drop_desc: 'installed',
        loot_take_command: 'remove',
        loot_take_desc: 'on hand',
        loot_action: 'upgrade',
        continue_command: 'back',
        white_listed_weapons: [:alien_alloy],
        :options => {
          :leave => :start
        }
      }
    }
  end

  def loot_sample
    return @game.world.shield_stores
  end

  def weapon_sample
    return @game.world.shield_weapon_stores
  end

  def on_clear
  end
end
