# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class SuicideHouse < WorldEvent
  def initialize game
    @game = game
    @title = "an old house"
    @combat_tick = 0
    @weapon_loot = [IronSword.new]
    @loot = { :bolas => 1 }
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def action_on_exit
    :aborted
  end

  def replenishes_water?
    true
  end

  def thoughts_message
    "the vinyl skips on an endless loop. its melody filling the air."
  end

  def init_scenes
    replenish_water

    @scenes = {
      :start => {
        :text => [
          'an old house remains here, once white siding yellowed and peeling.',
          'the door hangs open.'
        ],
        :options => {
          :go_inside => { :next_scene => { 1 => :inside } },
          :leave => aborted
        }
      },
      :inside => {
        :title => "an old house",
        :storyline => true,
        :text => [
          "the house is silent, save for the sound of a vinyl record."
        ],
        :options => {
          :larder => { :next_scene => :larder },
          :upstairs => { :next_scene => :upstairs },
          :leave => clear
        }
      },
      :larder => {
        :storyline => true,
        :text => [
          "nothing's here, not even a single scrap of food.",
          "rocks in a pile can be seen from the window."
        ],
        :options => {
          :outside => { :next_scene => :outside },
          :back => { :next_scene => :inside },
        }
      },
      :outside => {
        :storyline => true,
        :title => "a grave",
        :text => [
          "the rocks mark a shallow grave of a fallen soldier."
        ],
        :options => {
          :loot_grave => { :next_scene => :take_weapon },
          :back => { :next_scene => :inside },
        }
      },
      :take_weapon => {
        :storyline => true,
        :title => "a grave",
        :text => [
          "..."
        ],
        :loot => { },
        :options => {
          :continue => {
            :next_scene => { 1 => :inside }
          }
        },
      },
      :upstairs => {
        :storyline => true,
        :title => "an old house",
        :text => [
          "the scratching record gets louder."
        ],
        :options => {
          :bedroom => { :next_scene => :bedroom },
          :downstairs => { :next_scene => :inside }
        }
      },
      :bedroom => {
        :title => "a melody",
        :storyline => true,
        :text => [
          "a woman lies in a bed, lifeless. the record continues to skip, endlessly looping the same melody."
        ],
        :options => {
          :examine_body => { :next_scene => :examine_body },
          :downstairs => { :next_scene => :inside }
        }
      },
      :examine_body => {
        :storyline => true,
        :text => [
          "she holds a photo, tightly in one hand. poison in the other."
        ],
        :options => {
          :downstairs => { :next_scene => :inside }
        }
      }
    }
  end

  def loot_sample
    @loot
  end

  def weapon_sample
    @weapon_loot
  end
end
