# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class TanneryEvent < WorldEvent
  def initialize game
    @game = game
    @title = "the tannery"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def generates_road?
    true
  end

  def replenishes_water?
    true
  end

  def action_on_exit
    :kill_in_battle
  end

  def init_scenes
    @scenes = {
      :start => {
        :text => [
          'a small community, trying desperately to rebuild. smoke bellows from a tannery.',
          "men mill about, finding solace in a day's work.",
        ],
        :options => {
          :attack => {
            :next_scene => { 1 => :a1 },
          },
          :leave => leave
        }
      },
      :a1 => {
        :text => ['startled, a man grabs a knife.'],
        :combat => true,
        :enemy => :man,
        :damage => 5,
        :hit => 0.8,
        :attack_delay => 2,
        :health => 10,
        :max_health => 10,
        :loot => {
          :knife => { :min => 1, :max => 1, :chance => 0.3 },
          :food => { :min => 1, :max => 5, :chance => 1 },
        },
        :options => {
          :continue => {
            :next_scene => { 1 => :a2 }
          },
        }
      },
      :a2 => {
        :text => ['ambushed by another.'],
        :combat => true,
        :enemy => :man,
        :damage => 5,
        :hit => 0.8,
        :attack_delay => 2,
        :health => 10,
        :max_health => 10,
        :loot => {
          :knife => { :min => 1, :max => 1, :chance => 0.3 },
          :food => { :min => 1, :max => 5, :chance => 1 },
        },
        :options => {
          :continue => {
            :next_scene => { 1 => :a3 }
          },
        }
      },
      :a3 => {
        :text => ['the last human attacks.', 'a look of lost hope.'],
        :combat => true,
        :enemy => :man,
        :damage => 5,
        :hit => 0.8,
        :attack_delay => 2,
        :health => 10,
        :max_health => 10,
        :loot => {
          :knife => { :min => 1, :max => 1, :chance => 0.3 },
          :food => { :min => 5, :max => 10, :chance => 1 },
        },
        :options => {
          :continue => {
            :next_scene => { 1 => :cleared }
          },
        }
      },
      :cleared => {
        :text => [
          'dead silence. the machines, bloodied, but still work.',
        ],
        :options => { :leave => clear }
      }
    }
  end
end
