# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class TheMasterEvent < WorldEvent
  def initialize game
    @game = game
    @title = "the master"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def action_on_exit
    :end
  end

  def init_scenes
    replenish_water

    @scenes = {
      :start => {
        :text => [
          "a wanderer's silhouette can be seen through the window.",
          "he sits motionless in meditation.",
        ],
        :options => {
          :enter => { :next_scene => { 1 => :cabin } },
          :leave => leave
        }
      },
      :cabin => {
        :text => [
          'he asks for food. in return, promises skills to battle the wilds.',
        ],
        :options => {
          :give_food => {
            :next_scene => { 1 => :give_food },
            :next_scene_cost => { :food => 5 },
          },
          :leave => leave
        }
      },
      :give_food => {
        :text => [
          "he gingerly stows the food away. says it'll help with his journey to find others.",
        ],
        :options => {
          :upgrade_evasion => { :next_scene => { 1 => :upgrade_evasion } },
          :upgrade_precision => { :next_scene => { 1 => :upgrade_precision } },
          :upgrade_melee => { :next_scene => { 1 => :upgrade_melee } },
          :leave => leave
        }
      },
      :upgrade_evasion => {
        :cost => { :eyes => 10 },
        :text => [ 'the master takes the eyes.', 'crafts an artifact to increase attack evasion...', ],
        :options => { :continue => { :next_scene => { 1 => :evasion_artifact } }, }
      },
      :evasion_artifact => {
        :text => [ 'his palm opens.', 'the artifact glows.', ],
        :loot => { :dodge => { :min => 1, :max => 1, :chance => 1.0 }, },
        :options => { :continue => { :next_scene => { 1 => :give_food } } }
      },

      :upgrade_melee => {
        :cost => { :teeth => 10 },
        :text => [ 'the master takes the teeth.', 'crafts an artifact to increase melee damage...', ],
        :options => { :continue => { :next_scene => { 1 => :melee_artifact } }, }
      },
      :melee_artifact => {
        :text => [ 'his palm opens.', 'the artifact glows.', ],
        :loot => { :melee => { :min => 1, :max => 1, :chance => 1.0 }, },
        :options => { :continue => { :next_scene => { 1 => :give_food } } }
      },

      :upgrade_precision => {
        :cost => { :teeth => 10 },
        :text => [ 'the master takes the teeth.', 'crafts an artifact to increase attack precision...', ],
        :options => { :continue => { :next_scene => { 1 => :precision_artifact } }, }
      },
      :precision_artifact => {
        :text => [ 'his palm opens.', 'the artifact glows.', ],
        :loot => { :scope => { :min => 1, :max => 1, :chance => 1.0 }, },
        :options => { :continue => { :next_scene => { 1 => :give_food } } }
      }
    }
  end
end
