# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class ThievesGuildEvent < WorldEvent
  def initialize game
    @game = game
    @title = "thieves"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def generates_road?
    true
  end

  def replenishes_water?
    true
  end

  def action_on_exit
    :kill_in_battle
  end

  def init_scenes
    @scenes = {
      :start => {
        :text => [
          'a small encampment of thieves. stealing supplies from abandoned wanderer settlements. a strung up wanderer sways in the starlight.'
        ],
        :options => {
          :attack => {
            :next_scene => { 1 => :a1 },
          },
          :leave => leave
        }
      },
      :a1 => {
        :text => ["swiftly evading the first strike, she counters."],
        :combat => true,
        :enemy => :thief,
        :damage => 6,
        :hit => 0.8,
        :attack_delay => 1,
        :health => 50,
        :max_health => 50,
        :loot => {
          :steel_sword => { :min => 1, :max => 1, :chance => 0.8 },
          :food => { :min => 1, :max => 5, :chance => 1 },
        },
        :options => {
          :continue => {
            :next_scene => { 1 => :a2 }
          },
        }
      },
      :a2 => {
        :text => ['another moves in to attack. eyes gleaming through wrapped cloth.'],
        :combat => true,
        :enemy => :thief,
        :damage => 6,
        :hit => 0.8,
        :attack_delay => 1,
        :health => 50,
        :max_health => 50,
        :loot => {
          :steel_sword => { :min => 1, :max => 1, :chance => 0.8 },
          :food => { :min => 1, :max => 5, :chance => 1 },
        },
        :options => {
          :continue => {
            :next_scene => { 1 => :a3 }
          },
        }
      },
      :a3 => {
        :text => ["ambushed. she strikes, blade glistening. drops of crimson fly off the razor's edge."],
        :combat => true,
        :enemy => :thief,
        :damage => 10,
        :hit => 0.8,
        :attack_delay => 1,
        :health => 65,
        :max_health => 65,
        :loot => {
          :katana => { :min => 1, :max => 1, :chance => 0.8 },
          :food => { :min => 5, :max => 10, :chance => 1 },
        },
        :options => {
          :continue => {
            :next_scene => { 1 => :cleared }
          },
        }
      },
      :cleared => {
        :text => [
          'her cloak obscured her form. should be helpful to stay hidden.',
        ],
        :loot => {
          :stealth => { :min => 1, :max => 1, :chance => 1 },
          :food => { :min => 5, :max => 10, :chance => 1 }
        },
        :options => { :leave => clear }
      }
    }
  end
end
