# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class ZeroZeroEvent < WorldEvent
  def initialize game
    @game = game
    @title = "a house"
    @combat_tick = 0
    super @game.world.stores, @game.world.weapon_stores, @game.world.weapon_items, @game.world.enemy_damage_multiplier
  end

  def replenishes_water?
    true
  end

  def action_on_exit
    :kill_in_battle
  end

  def init_scenes
    replenish_water

    @scenes = {
      :start => {
        :text => [
          'an old house remains here, once white siding yellowed and peeling.',
          'the door hangs open.'
        ],
        :options => {
          :go_inside => { :next_scene => :entrance },
        },
      },
      :entrance => {
        :storyline => true,
        :title => "cake!",
        :text => [
          'at the entrance, a sign reads: cake for all!',
        ],
        :loot => {
          :food => { :min => 30, :max => 30, :chance => 1.0 },
        },
        :options => {
          :continue => { :next_scene => { 1 => :room } }
        },
      },
      :room => {
        :storyline => true,
        :title => "zero, zero",
        :text => [
          'a man sits at a terminal, hands flying across mechanical keys.',
        ],
        :options => {
          :observe => { :next_scene => :observe },
        },
      },
      :observe => {
        :storyline => true,
        :text => [
          "without turning, he says that he can't be killed. simply because he didn't give the option to do so."
        ],
        :options => {
          :surrender_will => { :next_scene => :submit }
        },
      },
      :submit => {
        :storyline => true,
        :text => [
          "he asks what it's like to be on an invisible leash."
        ],
        :options => {
          :do_nothing => { :next_scene => :do_nothing }
        },
      },
      :do_nothing => {
        :storyline => true,
        :text => [
          "he points to the door. says that death awaits outside.",
        ],
        :options => {
          :attack => { :next_scene => :attack },
        },
      },
      :attack => {
        :storyline => true,
        :text => ["nothing happens. his terminal reads: 'place_defector_outside'"],
        :options => {
          :try_again => { :next_scene => :attack },
          :leave => clear
        }
      }
    }
  end
end
