# Copyright 2014 Scratchwork Development LLC. All rights reserved.

class ModalScene < Scene
  def id
    :modal_scene
  end

  def will_appear
    state.modal_scene_buttons ||= {}
    state.modal_scene_labels ||= {}
  end

  def will_appear_a11y_target
    state.modal_scene_labels ||= {}
    if state.modal_scene_labels.length != 0
      a11y_primitive = state.modal_scene_labels
                            .values
                            .find { |l| l.is_a?(Hash) && l.a11y_id }
      if a11y_primitive
        return a11y_primitive.a11y_id
      end
    end

    return nil
  end

  def button_ids
    []
  end

  def buttons
    state.modal_scene_buttons.values
  end

  def tick
    outputs.primitives << state.modal_scene_labels.values.map do |l|
      l
    end

    outputs.primitives << state.modal_scene_buttons.values.map do |b|
      prefab.button args, b
    end

    calc_buttons
  end

  def keyboard_instructions
    default_keyboard_instructions
  end

  def controller_instructions accept_char
    default_controller_instructions
  end
end
