def solved? tower
  head_pegs_empty = tower.pegs[0..-2].all? { |peg| peg.length == 0 }
  tail_peg_full = tower.pegs[-1].sort == tower.pegs[-1]
  head_pegs_empty && tail_peg_full
end

def top_discs tower
  tower.pegs
       .map
       .with_index { |peg, index| { peg_index: index, sz: peg.first } }
       .reject { |disc| !disc.sz }
end

def smallest_moveable_disc tower
  tower.pegs
       .map
       .with_index { |peg, i| { peg_index: i, sz: peg.first } }
       .reject { |disc| !disc.sz }
       .min { |disc| disc.sz }
end

def can_move_to? tower, disc, target
  top_disc_sz = tower.pegs[target].first || 0
  disc.sz > top_disc_sz
end

def solve tower
  return tower if solved? tower

  disc = smallest_moveable_disc tower
  last_peg_index = 2

  if can_move_to? tower, disc, last_peg_index
    disc_sz = tower.pegs[disc.peg_index].pop_front
    tower.pegs[last_peg_index].push_front disc.sz
    tower.moves.push_back({ from: disc.peg_index, to: last_peg_index })
  end

  tower
end

puts top_discs(pegs: [[3], [4], [1], []])

tower = solve(
  pegs: [
    [1],
    [ ],
    [ ]
  ],
  moves: []
)

puts tower

puts solved?({ pegs: [[],[],[1,3,2]], moves: [] })

puts smallest_moveable_disc({ pegs: [[2],[4],[8]] })

puts can_move_to?({
  pegs: [
    [1],
    [ ],
    [ ]
  ],
  moves: []
}, { peg_index: 0, sz: 1 }, 2)
